
<!-- test body with attribute -->

<link href="cache/01f151d3c2c7921a849db937abf146b7.css" rel="stylesheet" type="text/css" attr>

<!-- test body without attribute -->

<link href="cache/01f151d3c2c7921a849db937abf146b7.css" rel="stylesheet" type="text/css">

<!-- test single file with extension -->
<!-- css.css -->
<link href="cache/aec7933ebf951d7d704b6ab651dccd3c.css" rel="stylesheet" type="text/css">

<!-- test single file without extension -->
<!-- css.css -->
<link href="cache/aec7933ebf951d7d704b6ab651dccd3c.css" rel="stylesheet" type="text/css">

<!-- test single file with variable attributes -->
<!-- css.css -->
<link href="cache/aec7933ebf951d7d704b6ab651dccd3c.css" rel="stylesheet" type="text/css" a="0" b="1" c="false" d="true" e="yes" f>

<!-- test multiple files with extensions -->
<!-- css.css, css2.css -->
<link href="cache/aa32db32babed152f19962bfc7a1e3de.css" rel="stylesheet" type="text/css">

<!-- test multiple files without extensions -->
<!-- css.css, css2.css -->
<link href="cache/aa32db32babed152f19962bfc7a1e3de.css" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- css.css, css2.css -->
<link href="cache/aa32db32babed152f19962bfc7a1e3de.css" rel="stylesheet" type="text/css" attr>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- css.css -->
<link href="cache/aec7933ebf951d7d704b6ab651dccd3c.css" rel="stylesheet" type="text/css" attr>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css" attr>

<!-- test multiple files without attribute -->
<!-- css.css -->
<link href="cache/aec7933ebf951d7d704b6ab651dccd3c.css" rel="stylesheet" type="text/css">
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">
